[package]
name = "runtime"
version = "0.1.3"
description = "Runtime for ghost-staking-miner"
build = "build.rs"
license.workspace = true
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true

[dependencies]
codec = { workspace = true, features = ["derive"] }
scale-info = { workspace = true, features = ["derive"] }
log = { workspace = true }

frame-support = { workspace = true }
frame-system = { workspace = true }
frame-executive = { workspace = true }
frame-election-provider-support = { workspace = true }

pallet-balances = { workspace = true }
pallet-grandpa = { workspace = true }
pallet-insecure-randmoness-collective-flip = { workspace = true }
pallet-sudo = { workspace = true }
pallet-staking = { workspace = true }
pallet-session = { workspace = true }
pallet-staking-reward-curve = { workspace = true }
pallet-bags-list = { workspace = true }
pallet-election-provider-multi-phase = { workspace = true }
pallet-aura = { workspace = true }
pallet-timestamp = { workspace = true }
pallet-transaction-payment = { workspace = true }

sp-api = { workspace = true }
sp-staking = { workspace = true }
sp-consensus-aura = { workspace = true }
sp-block-builder = { workspace = true }
sp-core = { workspace = true }
inherents = { workspace = true }
sp-offchain = { workspace = true }
sp-runtime = { workspace = true }
sp-session = { workspace = true }
sp-std = { workspace = true }
sp-transaction-pool = { workspace = true }
sp-version = { workspace = true }
sp-genesis-builder = { workspace = true }

# Used for the node template's RPCs
frame-system-rpc-runtime-api = { workspace = true }
pallet-transaction-payment-rpc-runtime-api = { workspace = true }

[build-dependencies]
substrate-wasm-builder = { workspace = true }

[features]
default = ["std"]
std = [
    "codec/std",
    "scale-info/std",
    "frame-executive/std",
    "frame-election-provider-support/std",
    "frame-support/std",
    "frame-support/std",
    "frame-system-rpc-runtime-api/std",
    "frame-system/std",
    "pallet-aura/std",
    "pallet-balances/std",
    "pallet-election-provider-multi-phase/std",
    "pallet-grandpa/std",
    "pallet-insecure-randmoness-collective-flip/std",
    "pallet-staking/std",
    "pallet-sudo/std",
    "pallet-timestamp/std",
    "pallet-transaction-payment/std",
    "pallet-transaction-payment-rpc-runtime-api/std",
    "sp-api/std",
    "sp-block-builder/std",
    "sp-consensus-aura/std",
    "sp-core/std",
    "sp-staking/std",
    "inherents/std",
    "sp-offchain/std",
    "sp-runtime/std",
    "sp-session/std",
    "sp-std/std",
    "sp-transaction-pool/std",
    "sp-version/std",
]
test-trimming = []
